Name:          howl-logger
Version:       1.0.2
Release:       %mkrel 5
Summary:       High-speed ObjectWeb Logger
Group:         Development/Java
License:       BSD
URL:           http://forge.ow2.org/projects/howl/
# svn export svn://svn.forge.objectweb.org/svnroot/howl/tags/HOWL_1_0_2/howl/logger/ howl-logger-1.0.2
# tar czf howl-logger-1.0.2-src-svn.tar.gz howl-logger-1.0.2
Source0:       howl-logger-1.0.2-src-svn.tar.gz
#Source1:       ...
#Patch0:        ...
BuildRequires: java-devel
BuildRequires: jpackage-utils

# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
HOWL is a logger implementation providing features
required by the ObjectWeb JOTM project, with a public
API that is generally usable by any Transaction Manager.
HOWL uses unformatted binary logs to maximize performance
and specifies a journalization API with methods necessary
to support JOTM recovery operations.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

sed -i "s|<source>1.4</source>|<source>1.5</source>|" pom.xml
sed -i "s|<target>1.4</target>|<target>1.5</target>|" pom.xml

sed -i "s|<version>1.0.1-1</version>|<version>%{version}</version>|" pom.xml
# these test fails
# java.lang.OutOfMemoryError: unable to create new native thread: 785 threads created
rm -r src/test/org/objectweb/howl/log/BigLogTest.java \
 src/test/org/objectweb/howl/log/ThroughputTest.java \
 src/test/org/objectweb/howl/log/LogTest.java
sed -i "s|junit.textui.TestRunner.run(LogTest.class);|//junit.textui.TestRunner.run(LogTest.class);|" \
  src/test/org/objectweb/howl/log/allTest.java \
  src/test/org/objectweb/howl/log/ExceptionTest.java

%build

mvn-rpmbuild -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/howl-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt



%changelog
* Sat Jan 11 2014 dmorgan <dmorgan> 1.0.2-5.mga4
+ Revision: 566216
- Disable tests

* Tue Oct 22 2013 umeabot <umeabot> 1.0.2-4.mga4
+ Revision: 545863
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.0.2-3.mga4
+ Revision: 501935
- BR maven-local for mvn-rpmbuild

* Sun Jan 13 2013 dmorgan <dmorgan> 1.0.2-2.mga3
+ Revision: 361706
- Build with maven3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 18 2011 gil <gil> 1.0.2-1.mga2
+ Revision: 156312
- imported package howl-logger


* Sat Jun 25 2011 gil <gil> 1.0.2-0.%%mkrel
- initial rpm